package cn.com.qmth.examcloud.web.cloud.api;

import cn.com.qmth.examcloud.web.enums.DataExecutionStatus;
import io.swagger.annotations.ApiModelProperty;

/**
 * 请求体基类
 * 
 * @author WANGWEI
 *
 */
public abstract class BaseRequest extends ExchangeBean {

	private static final long serialVersionUID = 6465330136225230063L;

	/**
	 * 数据执行状态
	 */
	@ApiModelProperty(value = "数据执行状态", example = "UPDATE", required = false)
	private DataExecutionStatus des;

	public DataExecutionStatus getDes() {
		return des;
	}

	public void setDes(DataExecutionStatus des) {
		this.des = des;
	}

}
