package cn.com.qmth.examcloud.web.cloud.api;

import cn.com.qmth.examcloud.web.enums.DataExecutionStatus;
import io.swagger.annotations.ApiModelProperty;

/**
 * 响应体基类
 * 
 * @author WANGWEI
 *
 */
public abstract class BaseResponse extends ExchangeBean {

	private static final long serialVersionUID = 1755304211766414171L;

	/**
	 * 耗时(毫秒)
	 */
	@ApiModelProperty(value = "耗时(毫秒)", example = "500", required = true)
	private Long cost;

	/**
	 * 数据执行状态
	 */
	@ApiModelProperty(value = "数据执行状态", example = "UPDATE", required = false)
	private DataExecutionStatus des;

	public Long getCost() {
		return cost;
	}

	public void setCost(Long cost) {
		this.cost = cost;
	}

	public DataExecutionStatus getDes() {
		return des;
	}

	public void setDes(DataExecutionStatus des) {
		this.des = des;
	}

}
